Overview | Package | Class | Use | Tree | Deprecated | Index | Help
|  | BEA Systems, Inc.
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## Type-Safe Access to BEA WebLogic Server 9.1 MBeans (Deprecated)
(Methods marked with @since 9.0.0.0 or later are not available through the deprecated `MBeanHome` interface.)

## weblogic.management.runtime
Interface JMSConsumerRuntimeMBean

All Superinterfaces:
  DynamicMBean, MBeanRegistration, NotificationBroadcaster, weblogic.management.runtime.RuntimeMBean, weblogic.management.WebLogicMBean

public interface JMSConsumerRuntimeMBean
extends weblogic.management.runtime.RuntimeMBean

This class is used for monitoring a WebLogic JMS consumer.

### Deprecation of MBeanHome and Type-Safe Interfaces

This is a type-safe interface for a WebLogic Server MBean, which you can import into your client classes and access through `weblogic.management.MBeanHome`. As of 9.0, the `MBeanHome` interface and all type-safe interfaces for WebLogic Server MBeans are deprecated. Instead, client classes that interact with WebLogic Server MBeans should use standard JMX design patterns in which clients use the `javax.management.MBeanServerConnection` interface to discover MBeans, attributes, and attribute types at runtime. For more information, see "Developing Manageable Applications with JMX" on http://edocs.bea.com.

  Copyright © 2005 BEA Systems, Inc. All Rights Reserved.

Method Summary
`long` | `getBytesPendingCount()` The number of bytes pending (uncommitted and unacknowledged) by this consumer.
`long` | `getBytesReceivedCount()` The number of bytes received by this consumer since the last reset.
`String` | `getDestinationName()` Returns the name of the destination for this consumer.
`String` | `getMemberDestinationName()` Returns the name of the destination for this consumer.
`long` | `getMessagesPendingCount()` The number of messages pending (uncommitted and unacknowledged) by this consumer.
`long` | `getMessagesReceivedCount()` The number of messages received by this consumer since the last reset.
`String` | `getSelector()` The selector associated with this consumer, if any.
`boolean` | `isActive()` Indicates whether the consumer active.
`boolean` | `isDurable()` Indicates whether the consumer is durable.

Methods inherited from interface weblogic.management.WebLogicMBean
`getMBeanInfo, getName, getObjectName, getParent, getType, isCachingDisabled, isRegistered, setName, setParent`

Methods inherited from interface javax.management.DynamicMBean
`getAttribute, getAttributes, invoke, setAttribute, setAttributes`

Methods inherited from interface javax.management.MBeanRegistration
`postDeregister, postRegister, preDeregister, preRegister`

Methods inherited from interface javax.management.NotificationBroadcaster
`addNotificationListener, getNotificationInfo, removeNotificationListener`

Method Detail

### getBytesPendingCount

    public long getBytesPendingCount()

  The number of bytes pending (uncommitted and unacknowledged) by this consumer.

  Returns:
    The bytesPendingCount value

### getBytesReceivedCount

    public long getBytesReceivedCount()

  The number of bytes received by this consumer since the last reset.

  Returns:
    The bytesReceivedCount value

### getDestinationName

    public String getDestinationName()

  Returns the name of the destination for this consumer. In case of a distributed destination, it will be the name of the distributed destination, instead of the member destination.

  Returns:
    The name of the destination

### getMemberDestinationName

    public String getMemberDestinationName()

  Returns the name of the destination for this consumer. In case of a distributed destination, it will be the name of the member destination.

  Returns:
    The name of the destination

### getMessagesPendingCount

    public long getMessagesPendingCount()

  The number of messages pending (uncommitted and unacknowledged) by this consumer.

  Returns:
    The messagesPendingCount value

### getMessagesReceivedCount

    public long getMessagesReceivedCount()

  The number of messages received by this consumer since the last reset.

  Returns:
    The messagesReceivedCount value

### getSelector

    public String getSelector()

  The selector associated with this consumer, if any.

  Returns:
    The selector value

### isActive

    public boolean isActive()
                     throws RemoteException

  Indicates whether the consumer active. A consumer is active if it has a message listener set up or a synchronous receive in progress.

  Returns:
    The active value
  Throws:
    `RemoteException`

### isDurable

    public boolean isDurable()

  Indicates whether the consumer is durable.

  Returns:
    The durable value

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Documentation is available at http://e-docs.bea.com/wls/docs91 Copyright 2005 BEA Systems Inc.
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD